%bcond_without check

Name:           python-mdurl
Version:        0.1.2
Release:        %mkrel 3
Summary:        Markdown URL utilities
Group:          Development/Python
License:        MIT
URL:            https://github.com/hukkin/mdurl
Source0:        %{url}/archive/%{version}/mdurl-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel
# Tests
%if %{with check}
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(pytest-randomly)
%endif

%description
URL utilities for markdown-it parser.

%package -n     python3-mdurl
Summary:        %{summary}
%{?python_provide:%python_provide python3-mdurl}

%description -n python3-mdurl
URL utilities for markdown-it parser.

%prep
%autosetup -p1 -n mdurl-%{version}

# Remove coverage from the test requirements
sed -i "s/pytest-cov//" tests/requirements.txt

%generate_buildrequires
%pyproject_buildrequires %{?with_check:tests/requirements.txt}

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files mdurl

%if %{with check}
%check
%pytest
%endif

%files -n python3-mdurl -f %{pyproject_files}
%doc README.md
%license LICENSE


%changelog
* Sat Feb 22 2025 wally <wally> 0.1.2-3.mga10
+ Revision: 2150731
- rebuild for python3.13

* Fri Dec 08 2023 wally <wally> 0.1.2-2.mga10
+ Revision: 2015694
- rebuild for py3.12

* Sun Dec 04 2022 wally <wally> 0.1.2-1.mga9
+ Revision: 1917743
- new version 0.1.2

* Wed Aug 10 2022 wally <wally> 0.1.1-1.mga9
+ Revision: 1876659
- add RPM group
- mageiafy .spec
- import based on .spec from Fedora


* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Tue Jun 14 2022 Python Maint <python-maint@redhat.com> - 0.1.1-2
- Rebuilt for Python 3.11

* Tue Apr 19 2022 Lumír Balhar <lbalhar@redhat.com> - 0.1.1-1
- Update to 0.1.1
Resolves: rhbz#2074703

* Mon Jan 31 2022 Karolina Surma <ksurma@redhat.com> - 0.1.0-1
- Initial package
